<?php

    class p_user_photos extends cmsPlugin
    {
        public function __construct()
        {
            parent::__construct();

            $this->info['plugin'] = 'p_user_photos';
            $this->info['title'] = 'Мои фото';
            $this->info['description'] = 'Мои фото - Добавляет вкладку "Фото" в профили всех пользователей';
            $this->info['author'] = '<a target="_blank" href="http://themeinstant.ru">themeInstant</a> & <a target="_blank" href="http://maxicms.ru">maxiSoft</a>';
            $this->info['version'] = '0.1';

            $this->info['tab'] = 'Фото';
            $this->config['Количество фото'] = 10;

            $this->events[] = 'USER_PROFILE';
        }

        public function install()
        {
            return parent::install();
        }

        public function upgrade()
        {
            return parent::upgrade();
        }

        public function execute($event, $user)
        {
            parent::execute();
		
		    cmsCore::loadModel('users');
		    $model = new cms_model_users();

			$myprofile  = (cmsUser::getInstance()->id == $user['id']);

			$is_friend = !$myprofile ? cmsUser::isFriend($user['id']) : false;


        	$albums = $model->getPhotoAlbums($user['id'], $is_friend);
        	$total  = sizeof($albums);

            ob_start();

            $smarty = $this->inCore->initSmarty('plugins', 'p_user_photos.tpl');
            $smarty->assign('total', $total);
            $smarty->assign('albums', $albums);
			$smarty->assign('user', $user);
            $smarty->assign('myprofile', $myprofile);
            $smarty->assign('is_friend', $is_friend);			
            $smarty->display('p_user_photos.tpl');

            return ob_get_clean();
        }
    }
?>
