{if $albums}
    <div class="usr_albums_block usr_profile_block">
        <ul class="usr_albums_list">
            {foreach key=key item=album from=$albums}
                <li>
                    <div class="usr_album_thumb">
                        <a href="/users/{$user.login}/photos/{$album.type}{$album.id}.html" title="{$album.title|escape:'html'}"> <img src="{$album.imageurl}" width="64" height="64" border="0" alt="{$album.title|escape:'html'}" /> </a>
                    </div>
                    <div class="usr_album">
                        <div class="link">
                            <a href="/users/{$user.login}/photos/{$album.type}{$album.id}.html">{$album.title}</a>
                        </div>
                        <div class="count">
                            {$album.photos_count|spellcount:$LANG.PHOTO:$LANG.PHOTO2:$LANG.PHOTO10}
                        </div>
                        <div class="date">
                            {$album.pubdate}
                        </div>
                    </div>
                </li>
            {/foreach}
        </ul>
    </div>
{/if}